Tiere auflisten
curl -X GET "https://api.example.com/animals" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.example.com/animals"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.example.com/animals", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.example.com/animals", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.example.com/animals')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
[
{
"id": "example_string",
"name": "John Doe",
"species": "example_string",
"breed": "example_string",
"customerId": "example_string",
"vaccinations": "example_string",
"group": "example_string"
}
]
GET
/animals
GET
Base URLstring
Target server for requests. Edit to use your own host.
Request Preview
Response
Response will appear here after sending the request
Responses
idstring
namestring
speciesstring
Hund, Katze oder Kleintier
breedstring
customerIdstring
vaccinationsstring
groupstring
Was this page helpful?